Click or drag to resize

CurvePullToBrepFace Method (Curve, BrepFace, Double)

Pull a curve to a BrepFace using closest point projection.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve[] PullToBrepFace(
	Curve curve,
	BrepFace face,
	double tolerance
)

Parameters

curve
Type: Rhino.GeometryCurve
Curve to pull.
face
Type: Rhino.GeometryBrepFace
Brepface that pulls.
tolerance
Type: SystemDouble
Tolerance to use for pulling.

Return Value

Type: Curve
An array of pulled curves, or an empty array on failure.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also